### 通过 SmartLifecycle 自定义两个生命周期 (getPhase数值小的先加载）
  1. 读取ons配置文件，根据配置启动消息队列生产者
  2. 根据业务启动消费者
  3. 发送同步活异步消息
  * 使用方式
1. pom中增加依赖
```
<dependency>
   <groupId>com.miya.huihua</groupId>
   <artifactId>microservice-base</artifactId>
   <version>版本号</version>
</dependency>
```
#### 增加配置

```
ali-ons:
  onsAddr: http://onsaddr-internet.aliyun.com/rocketmq/nsaddr4client-internet
  accessKey: '*************'
  secretKey: '***************'
  onsProperties:
    - topic: Miya************Dev
      groupId: GID-*******8-dev
      consumerEnable: true
      producerEnable: true
```

#### 增加生产者

```
@Service public class TestProductImpl implements TestProduct {

    @Autowired(required = false)
    private AliProducer aliProducer;    @Override
  public void sendMsg() {
        User user = new User("你是谁", "100");
        aliProducer.putEvent("MiyaHhsaasStatisticDev", user, "*");
  }
}
```

#### 增加消费者
```
/**
 * @author zhouxu
 * @createTime 2020/01/19
 * 继承 AliConsumer getTopic:指定订阅的topic  getTags：指定订阅的tag */ @Component @Slf4j public class TestConsumerLister extends AliConsumer {

    @Override
  public String getTopic() {
        return "MiyaHhsaasStatisticDev";
  }

    @Override
  public List<String> getTags() {
        return ImmutableList.of("*");
  }

    @Override
  public void consumerMessage(String tag, String message) {
        log.info("收到了新的消息tag为:{} ，message为：", tag, message);
  }
}
```